{
  "formatVersion": 1,
  "database": {
    "version": 3,
    "identityHash": "05d924800f37dc44f3af23c00ddb8df7",
    "entities": [
      {
        "tableName": "db_msg",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`id` TEXT NOT NULL, `type` INTEGER, `isSystem` INTEGER, `from` TEXT, `to` TEXT, `body` TEXT, `timestamp` INTEGER NOT NULL, `sendState` INTEGER NOT NULL, `fromName` TEXT, `msgType` INTEGER NOT NULL, PRIMARY KEY(`id`))",
        "fields": [
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "type",
            "columnName": "type",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "isSystem",
            "columnName": "isSystem",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "from",
            "columnName": "from",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "to",
            "columnName": "to",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "body",
            "columnName": "body",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "timestamp",
            "columnName": "timestamp",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "sendState",
            "columnName": "sendState",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "fromName",
            "columnName": "fromName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "msgType",
            "columnName": "msgType",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "columnNames": [
            "id"
          ],
          "autoGenerate": false
        },
        "indices": [],
        "foreignKeys": []
      },
      {
        "tableName": "db_dept",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `departmentAddress` TEXT, `departmentArea1Code` TEXT, `departmentArea1Id` TEXT, `departmentArea1Name` TEXT, `departmentArea2Code` TEXT, `departmentArea2Id` TEXT, `departmentArea2Name` TEXT, `departmentArea3Code` TEXT, `departmentArea3Id` TEXT, `departmentArea3Name` TEXT, `departmentArea4Code` TEXT, `departmentArea4Id` TEXT, `departmentArea4Name` TEXT, `departmentArea5Code` TEXT, `departmentArea5Id` TEXT, `departmentArea5Name` TEXT, `departmentCode` TEXT, `departmentDuty` TEXT, `departmentFax` TEXT, `departmentId` TEXT, `departmentIntId` INTEGER NOT NULL, `departmentLatitude` TEXT, `departmentLogo` INTEGER NOT NULL, `departmentLogoHover` INTEGER NOT NULL, `departmentLongitude` TEXT, `departmentMaster` TEXT, `departmentMasterName` TEXT, `departmentName` TEXT, `departmentNameEn` TEXT, `departmentNameOther` TEXT, `departmentNo` TEXT, `departmentOrder` TEXT, `departmentParentId` TEXT, `departmentParentName` TEXT, `departmentState` INTEGER NOT NULL, `departmentSummary` TEXT, `departmentTel` TEXT, `departmentType` INTEGER NOT NULL)",
        "fields": [
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "departmentAddress",
            "columnName": "departmentAddress",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea1Code",
            "columnName": "departmentArea1Code",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea1Id",
            "columnName": "departmentArea1Id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea1Name",
            "columnName": "departmentArea1Name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea2Code",
            "columnName": "departmentArea2Code",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea2Id",
            "columnName": "departmentArea2Id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea2Name",
            "columnName": "departmentArea2Name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea3Code",
            "columnName": "departmentArea3Code",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea3Id",
            "columnName": "departmentArea3Id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea3Name",
            "columnName": "departmentArea3Name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea4Code",
            "columnName": "departmentArea4Code",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea4Id",
            "columnName": "departmentArea4Id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea4Name",
            "columnName": "departmentArea4Name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea5Code",
            "columnName": "departmentArea5Code",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea5Id",
            "columnName": "departmentArea5Id",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentArea5Name",
            "columnName": "departmentArea5Name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentCode",
            "columnName": "departmentCode",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentDuty",
            "columnName": "departmentDuty",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentFax",
            "columnName": "departmentFax",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentId",
            "columnName": "departmentId",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentIntId",
            "columnName": "departmentIntId",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "departmentLatitude",
            "columnName": "departmentLatitude",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentLogo",
            "columnName": "departmentLogo",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "departmentLogoHover",
            "columnName": "departmentLogoHover",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "departmentLongitude",
            "columnName": "departmentLongitude",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentMaster",
            "columnName": "departmentMaster",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentMasterName",
            "columnName": "departmentMasterName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentName",
            "columnName": "departmentName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentNameEn",
            "columnName": "departmentNameEn",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentNameOther",
            "columnName": "departmentNameOther",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentNo",
            "columnName": "departmentNo",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentOrder",
            "columnName": "departmentOrder",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentParentId",
            "columnName": "departmentParentId",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentParentName",
            "columnName": "departmentParentName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentState",
            "columnName": "departmentState",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "departmentSummary",
            "columnName": "departmentSummary",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentTel",
            "columnName": "departmentTel",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentType",
            "columnName": "departmentType",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "columnNames": [
            "id"
          ],
          "autoGenerate": true
        },
        "indices": [],
        "foreignKeys": []
      },
      {
        "tableName": "db_user",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `pinyin` TEXT, `departmentId` TEXT, `departmentName` TEXT, `loginType` INTEGER NOT NULL, `userAvatar` TEXT, `userEmail` TEXT, `userId` TEXT, `userName` TEXT, `userPhone` TEXT, `userSort` TEXT, `userState` INTEGER NOT NULL, `userType` INTEGER NOT NULL, `userUsername` TEXT)",
        "fields": [
          {
            "fieldPath": "id",
            "columnName": "id",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "pinYin",
            "columnName": "pinyin",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentId",
            "columnName": "departmentId",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "departmentName",
            "columnName": "departmentName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "loginType",
            "columnName": "loginType",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "userAvatar",
            "columnName": "userAvatar",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userEmail",
            "columnName": "userEmail",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userId",
            "columnName": "userId",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userName",
            "columnName": "userName",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userPhone",
            "columnName": "userPhone",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userSort",
            "columnName": "userSort",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "userState",
            "columnName": "userState",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "userType",
            "columnName": "userType",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "userUsername",
            "columnName": "userUsername",
            "affinity": "TEXT",
            "notNull": false
          }
        ],
        "primaryKey": {
          "columnNames": [
            "id"
          ],
          "autoGenerate": true
        },
        "indices": [],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, '05d924800f37dc44f3af23c00ddb8df7')"
    ]
  }
}